Subject: Re: bug#62447: 30.0.50; xref default behaviour changed after a desktop-read

From: Eli Zaretskii <[email-masked]>
Date: Sun, 26 Mar 2023 07:57:35 +0300

> Cc: [email-masked]
> Date: Sat, 25 Mar 2023 23:13:58 +0100
> From:  Manuel Giraud via "Bug reports for GNU Emacs,
>  the Swiss army knife of text editors" <[email-masked]>
> 
> Juri Linkov <[email-masked]> writes:
> 
> > I guess this is because the default value of `desktop-globals-to-save'
> > contains:
> >
> >     tags-file-name
> >     tags-table-list
> 
> Yes that's it!  I'm starting Emacs without desktop-save-mode on:
> tags-table-list and tags-file-name are both nil.  I do a desktop-read
> and tags-table-list is set to ("/home/manuel/emacs-repo/lib/TAGS") and
> tags-file-name is set to "/home/manuel/emacs-repo/lib/TAGS".
> 
> > and the global values for these variables make no sense.
> > They should have project-local values, but project-local values are
> > not saved to the desktop file, only global and buffer-local values.
> 
> Maybe they could be removed from `desktop-globals-to-save'.

No need.  You should be able to fix this by "M-x visit-tags-table",
specifying the TAGS file you want Emacs to use.